Skip to main content
POST
/
v5
/
templates
/
expenses
/
rules
Save expense rule templates
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/templates/expenses/rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "rules": [
    {
      "transactionName": "<string>",
      "vendorName": "<string>",
      "autoClassify": "OFF",
      "matchType": "EXACT_NAME",
      "id": 123,
      "status": "ACTIVE",
      "categoryName": "<string>",
      "personalCategoryName": "<string>",
      "suggestedStatus": "PENDING"
    }
  ],
  "applyToExistingUsers": true
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
rules
object[]
applyToExistingUsers
boolean

Whether to apply rules to existing users

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object